// Thanks to Peter Grimshaw from Australia !

#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER ANSIUPPER()
{
	_retc (AnsiUpper( _parc( 1 ) ));
}

CLIPPER ANSILOWER()
{
   _retc(AnsiLower( _parc( 1 ) ));
}

CLIPPER ISANSIUPPE()
{
	LPSTR inword=_parc( 1 );
	char newletter=*inword,oldletter=(DWORD) AnsiUpper( MAKELP(0,*inword));
   _retl(newletter==oldletter ? 1:0);
}

CLIPPER ISANSILOWE()
{
	LPSTR inword=_parc( 1 );
	char newletter=*inword,oldletter=(DWORD) AnsiLower( MAKELP(0,*inword));
   _retl(newletter==oldletter ? 1:0);
}
